mysql_thread_id(3)

  Name
mysql_thread_id - Returns id of the current connection

  Synopsis

        #include <mysql.h>

        unsigned long mysql_thread_id(MYSQL * mysql);

  Description
The mysql_thread_id() function returns the thread id for the current connection.

  Parameter

•   mysql - a mysql handle, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3). ### Notes

•   The current connection can be killed with mysql_kill(3).

•   If reconnect option is enabled the thread id might change if the client reconnects to the server.

  Return value
Returns the thread id of the current connection.

  See also

•   mysql_kill(3)

•   mysql_options(3)